//
//  WeChatModel.swift
//  MobilePortal
//
//  Created by caiyang on 2020/5/15.
//  Copyright © 2020 yin chen. All rights reserved.
//

import UIKit
import HandyJSON


struct GetAccessTokenModel: HandyJSON {
    var access_token: String?
    var unionid: String?
    var refresh_token: String?
    var scope: String?
    var expires_in: String?
    var openid: String?
    var errcode: String?
    var errmsg: String?
    var errorBlock: passParameterBlock?
    var successBlock: passParameterBlock?
    
}
/// access_token的刷新
struct GetRefresh_tokenModel: HandyJSON {
    var access_token: String?
    var unionid: String?
    var refresh_token: String?
    var scope: String?
    var expires_in: String?
    var openid: String?
    var errcode: String?
    var errmsg: String?
    var errorBlock: passParameterBlock?
    var successBlock: passParameterBlock?
    
}
struct UserinfoModel: HandyJSON {
    var openid: String?
    /// 普通用户昵称
    var nickname: String?
    /// 普通用户性别，1 为男性，2 为女性
    var sex: String?
    /// 普通用户个人资料填写的省份
    var province: String?
    /// 普通用户个人资料填写的城市
    var city: String?
    /// 国家，如中国为 CN
    var country: String?
    /// 用户头像
    var headimgurl: String?
    /// 用户特权信息，json 数组，如微信沃卡用户为（chinaunicom）
    var privilege: [Any]?
    var unionid: String?
    var errcode: String?
    var errmsg: String?
    var errorBlock: passParameterBlock?
    var successBlock: passParameterBlock?
}

